HomeGuidesAPI ReferenceChangelog
Log In
API Reference

List TOU Intervals

Return intervals for a specific Time of Use definition by touId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this endpoint to return intervals for a specific touId.

When to use this endpoint

Use GET /rest/public/timeofuses/intervals/{touId} when you need to:

  • Expand one Time of Use definition into concrete date-time intervals.
  • Filter returned intervals with a fromDateTime and toDateTime range.
  • Determine when a specific TOU definition applies during a calculation period.

Path parameter

ParameterTypeDescription
touIdLongTime of Use ID whose intervals you want to retrieve.

Optional date filters

ParameterTypeDescription
fromDateTimeDateTimeStarting date and time for returned intervals. Defaults to the current day and time if omitted.
toDateTimeDateTimeEnding date and time for returned intervals. Defaults to one week after fromDateTime if omitted.

Related endpoints

Request Parameters

Along with the standard pagination parameterssearching and sorting parameters, and the required security parameters, the following parameters are available as part of the request:

Path Params
int64
required

Unique Arcadia ID (primary key) for each time of use. This is unique across all LSEs.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json